Last Comment Bug 765055 - Assertion failure: !pn->pn_u.name.cookie.isFree(), at frontend/BytecodeEmitter.cpp:918
: Assertion failure: !pn->pn_u.name.cookie.isFree(), at frontend/BytecodeEmitte...
Status: RESOLVED FIXED
[js:t][jsbugmon:update]
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Linux
: -- critical (vote)
: mozilla16
Assigned To: :Benjamin Peterson
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2012-06-14 15:35 PDT by Christian Holler (:decoder)
Modified: 2013-01-19 14:26 PST (History)
7 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.67 KB, patch)
2012-06-14 21:45 PDT, :Benjamin Peterson
jorendorff: review+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-06-14 15:35:58 PDT
The following test asserts on mozilla-central revision 85e31a4bdd41 (options -m -n -a):


function test( d = 1, a = this, ... f)  {
    function f() {}
}


Found by adding combined support for Harmony's parameter default values and rest parameter to the LangFuzz ES3 grammar.
Comment 1 :Benjamin Peterson 2012-06-14 21:45:48 PDT
Created attachment 633397 [details] [diff] [review]
fix
Comment 2 Gary Kwong [:gkw] [:nth10sd] 2012-06-21 16:54:26 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/14305028261b
Comment 3 Ed Morley [:emorley] 2012-06-22 03:44:20 PDT
https://hg.mozilla.org/mozilla-central/rev/14305028261b
Comment 4 Christian Holler (:decoder) 2013-01-19 14:26:30 PST
Automatically extracted testcase for this bug was committed:

https://hg.mozilla.org/mozilla-central/rev/efaf8960a929

Note You need to log in before you can comment on or make changes to this bug.